package cn.pluss.platform.UserMakerQuota;

import cn.pluss.platform.entity.MerchantOrder;
import cn.pluss.platform.entity.UserMakerQuota;
import cn.pluss.platform.vo.UserMakerQuotaVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author lyf
 */
public interface UserMakerQuotaService extends IService<UserMakerQuota> {

    Map<String, BigDecimal> quota();

    void quotaInfo(MerchantOrder order);


    List<UserMakerQuotaVO> quotaList(Integer page, Integer size,Integer type);
}
